Subject: Re: bug#31223: [PATCH] Fix empty/incorrect GTK menus on HiDPI monitors with window scaling factor > 1

From: Robert Pluim <[email-masked]>
Date: Mon, 02 Dec 2019 11:35:03 +0100

>>>>> On Thu, 28 Nov 2019 10:44:08 +0100, Robert Pluim <[email-masked]> said:
    >>> This seems correct as well. Probably rec.x and rec.y need scaling as
    Tobias> well, for
    >>> the multi-monitor case, which will require some cabling for me to test.

    Tobias> Good point. The documentation of gdk_monitor_get_geometry() says

    Tobias> "Retrieves the size and position of an individual monitor within the display
    Tobias> coordinate space. The returned geometry is in "application pixels", not in
    Tobias> "device pixels" (see gdk_monitor_get_scale_factor())."

    Tobias> Unfortunately, I don't have a second monitor at hand to test this.

So initial testing seems to show that the x/y positions of the second
monitor need scaling as well, but I didnʼt get around to testing all
the scaling/relative positioning combinations. Since thatʼs a less
common use case, we can apply your patch in the meantime. Do you have
an Emacs copyright assignment on file? If not, Eli, is the patch small
enough to apply without an assignment?

Thanks

Robert